Bug 117270

Summary: [CSS Regions] Layers inside the RenderFlowThread should be collected by the layer of RenderView
Product: WebKit Reporter: Alexandru Chiculita <achicu>
Component: Layout and RenderingAssignee: Alexandru Chiculita <achicu>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, hyatt, mihnea, ossy, sam, simon.fraser, WebkitBugTracker
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 117404    
Bug Blocks: 84900    
Attachments:
Description Flags
Patch V1
hyatt: review+
Patch for landing
commit-queue: commit-queue-
Patch for landing none

Description Alexandru Chiculita 2013-06-05 12:30:56 PDT
In order to enable compositing we need to enable the collection of RenderLayers from the RenderFlowThread.

Right now the RenderLayer::collectLayers would skip any RenderFlowThreads, leaving the RenderFlowThread outside of the layers tree. Any other traversals would skip the RenderFlowThreads leaving the layers inside in inconsistent states.

This patch would change the RenderLayer::collectLayers and update other functions to ignore RenderFlowThreads when calculating bounds of, paint or hit-test the RenderView.
Comment 1 Alexandru Chiculita 2013-06-05 15:28:23 PDT
Created attachment 203888 [details]
Patch V1
Comment 2 Dave Hyatt 2013-06-07 09:41:44 PDT
Comment on attachment 203888 [details]
Patch V1

View in context: https://bugs.webkit.org/attachment.cgi?id=203888&action=review

r=me

> Source/WebCore/ChangeLog:9
> +        and hit-tested through their regions. The easies way to prevent the RenderView 

"easiest"
Comment 3 Alexandru Chiculita 2013-06-07 10:08:41 PDT
Created attachment 204051 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2013-06-07 10:09:49 PDT
Comment on attachment 204051 [details]
Patch for landing

Rejecting attachment 204051 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'validate-changelog', '--check-oops', '--non-interactive', 204051, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Dave Hyatt found in /Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog does not appear to be a valid reviewer according to committers.py.
/Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.appspot.com/results/788004
Comment 5 Alexandru Chiculita 2013-06-07 15:08:21 PDT
Created attachment 204069 [details]
Patch for landing

Fixed reviewer's name :)
Comment 6 WebKit Commit Bot 2013-06-07 15:36:24 PDT
Comment on attachment 204069 [details]
Patch for landing

Clearing flags on attachment: 204069

Committed r151339: <http://trac.webkit.org/changeset/151339>
Comment 7 WebKit Commit Bot 2013-06-07 15:36:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Simon Fraser (smfr) 2013-06-09 21:02:11 PDT
This caused 4 new assertions in layout tests:
http://build.webkit.org/results/Apple%20MountainLion%20Debug%20WK2%20(Tests)/r151339%20(10463)/results.html
Comment 9 Csaba Osztrogon√°c 2013-06-10 04:33:25 PDT
See https://bugs.webkit.org/show_bug.cgi?id=117404 for the details.
Comment 10 Alexandru Chiculita 2013-06-10 11:39:50 PDT
(In reply to comment #9)
> See https://bugs.webkit.org/show_bug.cgi?id=117404 for the details.

The assert was fixed in https://bugs.webkit.org/show_bug.cgi?id=117395 .